# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gigs', '0001_initial'),
        ('masters', '0001_initial'),
        ('_requests', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='servicerequest',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.Category'),
        ),
        migrations.AddField(
            model_name='servicerequest',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_created_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='servicerequest',
            name='deleted_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_deleted_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='servicerequest',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_modified_by', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='servicerequest',
            name='service_delivery',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='masters.ServiceDelivery'),
        ),
        migrations.AddField(
            model_name='servicerequest',
            name='sub_category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory'),
        ),
        migrations.AddField(
            model_name='requestdetails',
            name='metadata_type_dtl',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataTypeDetails'),
        ),
        migrations.AddField(
            model_name='requestdetails',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='_requests.ServiceRequest'),
        ),
        migrations.AddField(
            model_name='requestdetails',
            name='sub_category_metadata_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigSubCategoryMetaDataType'),
        ),
        migrations.AddField(
            model_name='requestattachment',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='_requests.ServiceRequest'),
        ),
    ]
